# NOTE: Derived from blib/lib/OpaL/manipulate.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package OpaL::manipulate;

#line 188 "blib/lib/OpaL/manipulate.pm (autosplit into blib/lib/auto/OpaL/manipulate/perlmodify.al)"
###############################################################################
# Name:		perlmodify
# Description:	Modifiles a (text)file with the help of a perl-script.
#		eg. perl -pi -e script file. And makes some fixes before.
# Arguments:	$file, $script, $message [, $level ]
# Uses:		system, perl, cmdaction
# Author:	Ola Lundqvist <ola@opalsys.net>
# Date:		2000-05-04	Written
#		2000-05-13	Better argument definition.
#		2000-06-04	Added some fixes to make it more secure.
#		2000-06-29	Added argument definition.
###############################################################################
sub perlmodify {#($$$;$) {
    my ($file, $script, $message, $level) = @_;
    $script =~ s/\@/\\\@/g;
    $script =~ s/\%/\\\%/g;
    $script =~ s/\$([a-z]A-Z)/\\\$$1/g;
    &perlmodifyadvanced($file, $script, $message, $level);
}

# end of OpaL::manipulate::perlmodify
1;
