# NOTE: Derived from blib/lib/OpaL/where.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package OpaL::where;

#line 115 "blib/lib/OpaL/where.pm (autosplit into blib/lib/auto/OpaL/where/which.al)"
###############################################################################
############################# DOCUMENTATION ###################################
###############################################################################
# Below is the stub of documentation for your module. You better edit it!


###############################################################################
########################### AUTOLOAD METHODS ##################################
###############################################################################

###############################################################################
# Name:		which
# Description:	Searches for a program in the PATH. Returns the path to the
#		file if found, undef else.
# Arguments:	A program to search for.
# Requres:	$ENV{'PATH'}
# Author:	Ola Lundqvist <ola@opalsys.net>
# Date:		2000-07-09	Wrote it!
###############################################################################
sub which {
    my $s = shift;
    my $d;
    foreach $d (split /:/, $ENV{'PATH'}) {
	if (-f "$d/$s") {
	    return "$d/$s";
	}
    }
    return undef;
}

1;
# end of OpaL::where::which
